# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.67"
name = "sep5"
version = "0.0.5"
authors = ["Aha Labs <team@ahalabs.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Key Derivation Methods for Stellar Keys"
homepage = "https://github.com/ahalabs/rs-sep5"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/ahalabs/rs-sep5"

[lib]
name = "sep5"
path = "src/lib.rs"

[[test]]
name = "tests"
path = "tests/tests.rs"

[dependencies.slip10]
version = "0.4.6"
package = "slipped10"

[dependencies.stellar-strkey]
version = "0.0.15"

[dependencies.thiserror]
version = "2.0.3"

[dependencies.tiny-bip39]
version = "2.0.0"
